Inventory Alerts
Function-calling namespace: inventoryAlerts
- Base URL:
https://api.aivida.in - Engine endpoint:
POST /api - Auth: Stack token middleware enabled in
optionalmode. - Send token in header:
x-stack-access-token: <access_token>(orAuthorization: Bearer <access_token>). - In
optionalmode: no token is allowed; invalid token is rejected with401.
list
Source: backend/endpoints/inventory-alerts/list
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
organizationId | string | Yes | - |
module | string | No | - |
page | integer | No | - |
pageSize | integer | No | - |
type | string | No | - |
severity | string | No | - |
search | string | No | - |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token_optional>" \
-d '{
"namespace": "inventoryAlerts",
"apiName": "list",
"data": {
"organizationId": "org_123"
}
}'Example Response
{ "status": "ok", "data": {} }